> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# Service Inventory Report

GET https://api.megaport.com/v2/secure/inventory/companies/{companyUid}/services/csv

Returns an inventory of all services associated with the specified company account. The inventory includes all live and configured services, along with any historical services that have been decommissioned.

The report is saved in comma-separated values (CSV) file format.

You can import the CSV data into spreadsheets and databases.

You can open the CSV file in any text editor.

**Tip:** You can also return the service inventory in JSON format using the `/v2/secure/inventory/companies/{companyUid}/services` endpoint.

You can find the `companyUid` parameter from the GET Product List `/v2/products` endpoint.

Reference: https://en.megaport.ferndocs.com/api-reference/product-details/service-inventory-report

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Request

### Path parameters

- `companyUid` (string, required)

## Response

### 200

Service Inventory Report - JSON Format / Service Inventory Report - CSV File / Service Inventory Report - CSV File / Service Inventory Report - JSON Format

- `data` (list of V2SecureInventoryCompaniesCompanyUidServicesCsvGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2SecureInventoryCompaniesCompanyUidServicesCsvGetResponsesContentApplicationJsonSchemaDataItems

- `aendDataCenter` (string, optional, nullable)
- `aendServiceName` (string, optional, nullable)
- `bendDataCenter` (string, optional, nullable)
- `bendPartner` (any, optional, nullable)
- `bendServiceName` (string, optional, nullable)
- `bendType` (string, optional, nullable)
- `billingMarket` (string, optional, nullable)
- `companyName` (string, optional)
- `contractEndDate` (double, optional)
- `contractStartDate` (double, optional)
- `contractTermMonths` (double, optional)
- `createdBy` (string, optional)
- `dataCenterProvider` (string, optional, nullable)
- `diversityZone` (string, optional, nullable)
- `liveDate` (double, optional, nullable)
- `location` (string, optional, nullable)
- `orderedDate` (double, optional)
- `provisioningStatus` (string, optional)
- `serviceId` (any, optional, nullable)
- `serviceLevelReference` (string, optional, nullable)
- `serviceName` (string, optional)
- `serviceSpeed` (double, optional)
- `serviceType` (string, optional)
- `serviceUid` (string, optional)
- `terminationDate` (double, optional, nullable)

## Examples

**Response**

```json
{
  "data": [
    {
      "aendDataCenter": null,
      "aendServiceName": null,
      "bendDataCenter": null,
      "bendPartner": null,
      "bendServiceName": null,
      "bendType": null,
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1675519200000,
      "contractStartDate": 1645545900487,
      "contractTermMonths": 12,
      "createdBy": "Peter Roman",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1652238657352,
      "location": "Equinix AM1",
      "orderedDate": 1643995348901,
      "provisioningStatus": "LIVE",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AM3-DC2_Megaport",
      "serviceSpeed": 10000,
      "serviceType": "MEGAPORT",
      "serviceUid": "450c3c8a-748b-4adb-94be-212d08bf6f65",
      "terminationDate": null
    },
    {
      "aendDataCenter": "Equinix FR5",
      "aendServiceName": "FR6-AM3_Megaport",
      "bendDataCenter": "Equinix AM1",
      "bendPartner": null,
      "bendServiceName": "AM3-FR6_Megaport",
      "bendType": "PRIVATE",
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1654351200000,
      "contractStartDate": 1652976300733,
      "contractTermMonths": 1,
      "createdBy": "Jeffrey Smith",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1653521536720,
      "location": "Equinix AM1",
      "orderedDate": 1651698071359,
      "provisioningStatus": "LIVE",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AM3-FR6-Megaport",
      "serviceSpeed": 1000,
      "serviceType": "VXC",
      "serviceUid": "9545f71f-02e0-44fa-9026-8e6b91387511",
      "terminationDate": null
    },
    {
      "aendDataCenter": null,
      "aendServiceName": null,
      "bendDataCenter": null,
      "bendPartner": null,
      "bendServiceName": null,
      "bendType": null,
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1675519200000,
      "contractStartDate": 1645545900487,
      "contractTermMonths": 12,
      "createdBy": "Peter Roman",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1653521364163,
      "location": "Equinix AM1",
      "orderedDate": 1643994879310,
      "provisioningStatus": "LIVE",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AM3-FR6_Megaport",
      "serviceSpeed": 10000,
      "serviceType": "MEGAPORT",
      "serviceUid": "7f853d53-2729-434d-ac7f-645ed0dd68a5",
      "terminationDate": null
    },
    {
      "aendDataCenter": null,
      "aendServiceName": null,
      "bendDataCenter": null,
      "bendPartner": null,
      "bendServiceName": null,
      "bendType": null,
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1675519200000,
      "contractStartDate": 1645545900487,
      "contractTermMonths": 12,
      "createdBy": "Jeffrey Smith",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1652097409951,
      "location": "Equinix AM1",
      "orderedDate": 1643995189212,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AM3-SV2_Megaport",
      "serviceSpeed": 10000,
      "serviceType": "MEGAPORT",
      "serviceUid": "a6f66789-d535-4dd9-aaa6-09f8e4df8110",
      "terminationDate": 1687096800000
    },
    {
      "aendDataCenter": "Equinix TY2",
      "aendServiceName": "AWS test non-prod ap-1 - GCP non-prod asia-1",
      "bendDataCenter": "Equinix TY2",
      "bendPartner": null,
      "bendServiceName": "Asia Pacific (Tokyo) (ap-northeast-1) [DZ-RED]",
      "bendType": "PUBLIC",
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1623938400000,
      "contractStartDate": 1621320392891,
      "contractTermMonths": 1,
      "createdBy": "Matty Parker",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1621320393725,
      "location": "Equinix AM1",
      "orderedDate": 1621320034611,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AWS test non-prod ap-1",
      "serviceSpeed": 1000,
      "serviceType": "VXC",
      "serviceUid": "8358613b-6977-4538-9229-ed3460304a2c",
      "terminationDate": 1624024800000
    },
    {
      "aendDataCenter": null,
      "aendServiceName": null,
      "bendDataCenter": null,
      "bendPartner": null,
      "bendServiceName": null,
      "bendType": null,
      "billingMarket": "JP",
      "companyName": "Acme Inc.",
      "contractEndDate": 1624024800000,
      "contractStartDate": 1621346400000,
      "contractTermMonths": 1,
      "createdBy": "Matty Parker",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1652238657352,
      "location": "Equinix TY2",
      "orderedDate": 1621357754138,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AWS non-prod ap-1",
      "serviceSpeed": 1000,
      "serviceType": "MEGAPORT",
      "serviceUid": "13752475-dcb2-4bd4-a711-08c5a94cab5f",
      "terminationDate": 1624024800000
    },
    {
      "aendDataCenter": "Equinix TY2",
      "aendServiceName": "AWS test non-prod ap-1",
      "bendDataCenter": "Equinix TY2",
      "bendPartner": null,
      "bendServiceName": "Asia Pacific (Tokyo) (ap-northeast-1) [DZ-RED]",
      "bendType": "PUBLIC",
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1624024800000,
      "contractStartDate": 1621346400000,
      "contractTermMonths": 1,
      "createdBy": "Matty Parker",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1652238657352,
      "location": "Equinix AM1",
      "orderedDate": 1621357851682,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AWS test non-prod ap-1",
      "serviceSpeed": 1000,
      "serviceType": "VXC",
      "serviceUid": "14ade42d-e420-4dc5-8a18-2d42ea71b4e1",
      "terminationDate": 1624024800000
    },
    {
      "aendDataCenter": "Equinix TY2",
      "aendServiceName": "AWS non-prod ap-1 - GCP non-prod asia-1",
      "bendDataCenter": "Equinix TY2",
      "bendPartner": null,
      "bendServiceName": "Asia Pacific (Tokyo) (ap-northeast-1) [DZ-RED]",
      "bendType": "PUBLIC",
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1624024800000,
      "contractStartDate": 1621401810668,
      "contractTermMonths": 1,
      "createdBy": "Matty Parker",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1621401812567,
      "location": "Equinix AM1",
      "orderedDate": 1621401730145,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AWS non-prod ap-1",
      "serviceSpeed": 1000,
      "serviceType": "VXC",
      "serviceUid": "e7a071e1-84dd-4075-b64b-ce3d7677488c",
      "terminationDate": 1624629600000
    },
    {
      "aendDataCenter": "Equinix TY2",
      "aendServiceName": "AWS non-prod ap-1 - GCP non-prod asia-1",
      "bendDataCenter": "Equinix TY2",
      "bendPartner": null,
      "bendServiceName": "Asia Pacific (Tokyo) (ap-northeast-1) [DZ-RED]",
      "bendType": "PUBLIC",
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1626962400000,
      "contractStartDate": 1624377213186,
      "contractTermMonths": 1,
      "createdBy": "Matty Parker",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1624377213123,
      "location": "Equinix AM1",
      "orderedDate": 1624376866014,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AWS test non-prod ap-1",
      "serviceSpeed": 1000,
      "serviceType": "VXC",
      "serviceUid": "1168eb47-d6b7-4182-9751-a1baddd2edff",
      "terminationDate": 1626962400000
    },
    {
      "aendDataCenter": "Equinix TY2",
      "aendServiceName": "AWS non-prod ap-1 - GCP non-prod asia-1",
      "bendDataCenter": "Equinix TY2",
      "bendPartner": null,
      "bendServiceName": "Asia Pacific (Tokyo) (ap-northeast-1) [DZ-RED]",
      "bendType": "PUBLIC",
      "billingMarket": "NL",
      "companyName": "Acme Inc.",
      "contractEndDate": 1627048800000,
      "contractStartDate": 1624526192598,
      "contractTermMonths": 1,
      "createdBy": "Matty Parker",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1624526192578,
      "location": "Equinix AM1",
      "orderedDate": 1624525826976,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": null,
      "serviceName": "AWS test non-prod ap-1",
      "serviceSpeed": 1000,
      "serviceType": "VXC",
      "serviceUid": "8d389f2d-bfb3-4612-a13c-b5fb5c29e026",
      "terminationDate": 1627480800000
    },
    {
      "aendDataCenter": null,
      "aendServiceName": null,
      "bendDataCenter": null,
      "bendPartner": null,
      "bendServiceName": null,
      "bendType": null,
      "billingMarket": "JP",
      "companyName": "Acme Inc.",
      "contractEndDate": 1623938400000,
      "contractStartDate": 1621320022760,
      "contractTermMonths": 1,
      "createdBy": "Matty Parker",
      "dataCenterProvider": "Equinix",
      "diversityZone": "red",
      "liveDate": 1621320023081,
      "location": "Equinix TY2",
      "orderedDate": 1621319999079,
      "provisioningStatus": "DECOMMISSIONED",
      "serviceId": null,
      "serviceLevelReference": "",
      "serviceName": "AWS test non-prod ap-1 - GCP non-prod asia1",
      "serviceSpeed": 2500,
      "serviceType": "MCR2",
      "serviceUid": "f47691af-ab79-4d76-9da6-3e2a4e0b5fb7",
      "terminationDate": 1624024800000
    }
  ],
  "message": "Service Inventory",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/secure/inventory/companies/companyUid/services/csv")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```